Package: org.codehaus.groovy.binding

## [Java] Class AggregateBinding

- org.codehaus.groovy.binding.AggregateBinding

- All Implemented Interfaces and Traits:
    BindingUpdatable

      public class AggregateBinding

  An aggregation of multiple bindings

  Authors:
    Danno Ferrin
  Since:
    Groovy 1.6

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected Set<BindingUpdatable>` | `bindings` |
    `protected boolean` | `bound` |

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `addBinding(BindingUpdatable binding)`
    `` | `void` | `bind()`
    `` | `void` | `rebind()`
    `` | `void` | `removeBinding(BindingUpdatable binding)`
    `` | `void` | `reverseUpdate()`
    `` | `void` | `unbind()`
    `` | `void` | `update()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### protected Set<BindingUpdatable> bindings

    - #### protected boolean bound

  - ### Method Detail

    - #### public void addBinding(BindingUpdatable binding)

    - #### public void bind()

    - #### public void rebind()

    - #### public void removeBinding(BindingUpdatable binding)

    - #### public void reverseUpdate()

    - #### public void unbind()

    - #### public void update()